document.getElementById('character-form').addEventListener('submit', function(event) {
  event.preventDefault();
  const name = document.getElementById('name').value;
  const charClass = document.getElementById('class').value;

  document.getElementById('character-creation').classList.add('hidden');
  document.getElementById('adventure').classList.remove('hidden');

  startAdventure(name, charClass);
});

function startAdventure(name, charClass) {
  const story = `Welcome, ${name}, the ${charClass}! Your journey begins in the mystical land of Eldoria. The fate of the realm rests in your hands.`;
  document.getElementById('story').textContent = story;

  const choices = [
    { text: 'Explore the forest', outcome: 'You discover a hidden treasure.' },
    { text: 'Visit the village', outcome: 'The villagers ask for your help.' },
    { text: 'Climb the mountain', outcome: 'You encounter a fierce dragon.' }
  ];

  const choicesDiv = document.getElementById('choices');
  choicesDiv.innerHTML = '';

  choices.forEach(choice => {
    const button = document.createElement('button');
    button.textContent = choice.text;
    button.classList.add('choice-button');
    button.addEventListener('click', () => {
      document.getElementById('story').textContent = choice.outcome;
      choicesDiv.innerHTML = '';
    });
    choicesDiv.appendChild(button);
  });
}